# $Revision: 1.1 $, $Date: 2002/09/04 11:19:33 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	ParseLog
Summary:	Apache::ParseLog - Object-oriented Perl extension for parsing Apache log files
Summary(pl):	Apache::ParseLog - Obiektowy modu Perla do analizowania logw Apache
Name:		perl-Apache-ParseLog
Version:	1.02
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::ParseLog provides an easy way to parse the Apache log files,
using object-oriented constructs. The data obtained using this module
are generic enough that it is flexible to use the data for your own
applications, such as CGI, simple text-only report generater, feeding
RDBMS, data for Perl/Tk-based GUI application, etc.

%description -l pl
Apache::ParseLog udostpnia atwy sposb na analizowanie logw Apache przy
uyciu konstrukcji zorientowanych obiektowo.  Dane, uzyskane przy uyciu
tego moduu s na tyle oglne, e mona ich w elastyczny sposb uywa
we wasnych aplikacjach, takich, jak CGI, proste tekstowe generatory
raportw, karmienie RDBMS, dane dla bazowanych na Perl/Tk aplikacji
GUI, itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt Changes README
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-ParseLog.spec,v $
Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR

